Modify asset

Requires the MEDIAEDIT security role. Requires the MARKPUBLIC security role in order to change an asset's isPublic state.

Custom thumbnails

To set a custom thumbnail, first upload the thumbnail image using the Modern Stack File Upload flow, then call this endpoint with the returned file id as customThumbnailFileId. To remove an existing custom thumbnail and revert to the automatically generated one, call this endpoint with removeCustomThumbnail=true. The two fields are mutually exclusive.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Asset id.

Form Data
boolean

Indicating the archived state of the asset.

date-time

Archive datetime. ISO8601 format: yyyy-mm-ddThh:mm:ssZ.

string

Id of the brand to save the asset to.

string
string

The file id of the custom thumbnail to be set for the asset. Custom thumbnails must first be uploaded by following the steps described in the Modern Stack File Upload documentation; use the fileId returned by that flow. Cannot be combined with removeCustomThumbnail.

date-time

Publication datetime. ISO8601 format: yyyy-mm-ddThh:mm:ssZ.

string

Asset description.

string

Asset id.

boolean

Indicating the public state of the asset. Warning irreversible, once changed to true it cannot be changed back.

boolean

Indicating the limit state of the asset.

date-time

Limit datetime. ISO8601 format: yyyy-mm-ddThh:mm:ssZ.

metaproperty
object

Mapping of metaproperty UUIDs to the option value(s) to set on the asset. Each value may be provided as option label, option DB name, or option UUID. For multi-select metaproperties, pass multiple values as a comma-separated string.

In x-www-form-urlencoded requests, fields are sent as metaproperty.<metaproperty_uuid>=<value1>,<value2>.

string

Name of the asset, beware the asset will have no name when this is empty.

boolean

Remove the current custom thumbnail from the asset, reverting to the automatically generated thumbnail. Cannot be combined with customThumbnailFileId.

string

Comma-separated tags. Tags will overwrite the current tags list.

date-time

Watermark datetime. ISO8601 format: yyyy-mm-ddThh:mm:ssZ.

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json